diff osc/sv-command @ 69:76cc2c424268

* Update the main sv.prf for compatibility with Qt 4.2 qmake instead of that from 4.1. Add a README.Qt41 describing how to build with 4.1 if preferred. * Add OSC support for control from external scripts etc (work in progress).
author Chris Cannam
date Fri, 10 Nov 2006 13:27:57 +0000
parents
children e269ae6ed008
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/osc/sv-command	Fri Nov 10 13:27:57 2006 +0000
@@ -0,0 +1,17 @@
+#!/bin/sh
+port=`lsof -c sonic- | grep UDP | sed -e 's/^.*[^0-9]\([0-9][0-9]*\) *$/\1/' | grep -v ' ' | head -1`
+if [ -z "$port" ]; then
+    echo "Sonic Visualiser OSC port not found"
+    exit 1
+fi
+if [ -n "$1" ]; then
+    command=$1; shift
+    echo "osc.udp://127.0.0.1:$port/$command" "$@"
+    sv-osc-send "osc.udp://127.0.0.1:$port/$command" "$@"
+else
+    while read command arg1 arg2 arg3 arg4 arg5; do
+	echo "osc.udp://127.0.0.1:$port/$command" $arg1 $arg2 $arg3 $arg4 $arg5
+	sv-osc-send "osc.udp://127.0.0.1:$port/$command" $arg1 $arg2 $arg3 $arg4 $arg5
+    done
+fi
+